export interface TemplateData {
    [key: string]: TemplateData | string;
}
/**
 * @param template - The template string, containing zero or more placeholders.
 * @param data - The data structure providing values for interpolation.
 */
export default function interpolate(template: string, data: TemplateData): string;
